@import "~scss/variables";

.sw-cms-el-config-image-slider-element {
    .sw-cms-el-config-image-slider-element__setting-option {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(185px, 1fr));
        gap: 0 32px;
        
    }

    .sw-cms-el-config-image-slider-element__setting-display-mode {
        grid-column: 1 / -1;
    }

    .sw-cms-el-config-image-slider-element__settings-links {
	    display: grid;
        grid-template-columns:1fr;
        
        .sw-cms-el-config-image-slider-element__settings-link {
            margin-top: 20px;
			padding: 1rem;
			background-color: #f9fafb;
			border-radius: 10px;
			border: 1px solid #d1d9e0;
			.sw-field--switch {
				.sw-field--switch__content {
					background-color: #f9fafb;
				}
			}
            .sw-cms-el-config-image-slider-element__settings-link-input {
                margin-bottom: 8px;

                .sw-field__addition {
                    &.is--prefix {
                        padding: 5px 0 5px 5px;
                        background: initial;
                        border-right: none;
                    }
                }
            }

            .sw-cms-el-config-image-slider-element__settings-link-prefix {
                height: 36px;
                width: 44px;
                border-radius: 2px;
                object-fit: cover;
            }
        }
    }
}
